/*==============================================================================
// 
//	File: ImportPIE.h
//
//	Argus Open Numerical Environments - Plug In Extension, Release 1.1
//
//	Copyright  1993-98 Argus Holdings Ltd.  All rights reserved.
//
//		THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF Argus Holdings Ltd..
//		The copyright notice above does not evidence any
//		actual or intended publication of such source code
//
//==============================================================================
//
// Version Information:
//	12/11/96 - Version 2. Add kImportAllwaysVisible.
//	 4/09/97 - Version 3. PIEImportProc now returns true.
//
//============================================================================*/

#ifndef _ImportPIE_H_
#define _ImportPIE_H_

#ifndef _ANEPIE_H_
#include "ANEPIE.h"
#endif /* _ANEPIE_H_ */

#define IMPORT_PIE_VERSION 3


#ifdef __cplusplus
extern "C" {
#endif

typedef ANE_BOOL (*PIEImportProc)(ANE_PTR aneHandle, const ANE_STR fileName, ANE_PTR layerHandle);

#ifdef __cplusplus
}
#endif

enum EImportPIEFlags {kImportFromFile = 0x1,
			kImportFromLayer = 0x2,
			kImportNeedsProject = 0x4,
			kImportAllwaysVisible = 0x8};

struct ImportPIEDesc
{
		ANE_INT32					version;
		ANE_STR						name;
		enum EImportPIEFlags		importFlags;
		enum EPIELayerType			toLayerTypes;
		enum EPIELayerType			fromLayerTypes;
		PIEImportProc				doImportProc;
		ANE_STR						neededProject;
}; /* ImportPIEDesc */




#endif /* _ImportPIE_H_ */

/*==============================================================================
//	End File: ImportPIE.h
//==============================================================================*/
